cURL
curl --request PATCH \
--url https://app.teable.ai/api/import/%7BbaseId%7D/%7BtableId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"attachmentUrl":"string","fileType":"csv","insertConfig":{"sourceWorkSheetKey":"string","excludeFirstRow":true,"sourceColumnMap":{"property1":0,"property2":0}},"notification":true}'import
Patch import
import table inplace
PATCH
/
import
/
{baseId}
/
{tableId}
cURL
curl --request PATCH \
--url https://app.teable.ai/api/import/%7BbaseId%7D/%7BtableId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"attachmentUrl":"string","fileType":"csv","insertConfig":{"sourceWorkSheetKey":"string","excludeFirstRow":true,"sourceColumnMap":{"property1":0,"property2":0}},"notification":true}'Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200
Successfully import table inplace
Last modified on March 5, 2026
Was this page helpful?
⌘I

